@keyframes slide-left {
  0% {
    transform: translateX(0); /* Start off-screen to the right */
  }
  50% {
    transform: translateX(-100%); /* Start off-screen to the right */
  }
  51% {
    transform: translateX(100%); /* Start off-screen to the right */
  }
  100% {
    transform: translateX(0); /* Slide in from the right */
  }
}

@keyframes slide-right {
  0% {
    transform: translateX(0); /* Start on-screen */
  }
  50% {
    transform: translateX(100%); /* Start off-screen to the right */
  }
  51% {
    transform: translateX(-100%); /* Start off-screen to the right */
  }

  100% {
    transform: translateX(0); /* Slide out to the right */
  }
}

.slide-enter-left {
  animation: slide-left 0.5s ease-in-out;
}

.slide-exit-left {
  animation: slide-right 0.5s ease-in-out;
}

.slide-enter-right {
  animation: slide-right 0.5s ease-in-out;
}

.slide-exit-right {
  animation: slide-left 0.5s ease-in-out;
}
